    Program d01gzfe

!     D01GZF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: d01gzf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: ndim = 4, nout = 6
!     .. Local Scalars ..
      Integer                          :: ifail, np1, np2
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: vk(ndim)
!     .. Executable Statements ..
      Write (nout,*) 'D01GZF Example Program Results'

      np1 = 89
      np2 = 11

      ifail = 0
      Call d01gzf(ndim,np1,np2,vk,ifail)

      Write (nout,*)
      Write (nout,99999) 'NDIM =', ndim, ' NP1 =', np1, ' NP2 =', np2
      Write (nout,*)
      Write (nout,99998) 'Coefficients =', vk(1:ndim)

99999 Format (1X,A,I3,A,I6,A,I6)
99998 Format (1X,A,4F6.0)
    End Program d01gzfe
